package ru.dbotthepony.kstarbound.network.packets.clientbound

import ru.dbotthepony.kstarbound.client.ClientConnection
import ru.dbotthepony.kstarbound.network.IClientPacket
import java.io.DataInputStream
import java.io.DataOutputStream

class ServerInfoPacket(val players: Int, val maxPlayers: Int) : IClientPacket {
	constructor(stream: DataInputStream, isLegacy: Boolean) : this(stream.readUnsignedShort(), stream.readUnsignedShort())

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		stream.writeShort(players)
		stream.writeShort(maxPlayers)
	}

	override fun play(connection: ClientConnection) {
		TODO("Not yet implemented")
	}
}
